Bug 416471 - Review Request: xsel -- manipulate the X selection
Review Request: xsel -- manipulate the X selection
Status: CLOSED DUPLICATE of bug 456750
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Patrice Dumas
Fedora Extras Quality Assurance
http://www.vergenet.net/~conrad/softw...
: FutureFeature, OtherQA
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-08 06:08 EST by Henry Kroll
Modified: 2009-04-06 13:01 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-26 08:42:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Henry Kroll 2007-12-08 06:08:48 EST
Spec URL: http://thenerdshow.com/rpm/xsel.spec
SRPM URL: http://thenerdshow.com/rpm/xsel-0.9.6-1.fc8.src.rpm
Description: XSel is a command-line program for getting and setting the contents of the X selection. Normally this is only accessible by manually highlighting
information and pasting it with the middle mouse button.
Comment 1 manuel wolfshant 2007-12-10 08:47:43 EST
- the URL is wrong. Nothing in xmms-pulse's page speaks about xsel. The correct
one is http://www.vergenet.net/~conrad/software/xsel/
- Source0 should be
http://www.vergenet.net/~conrad/software/xsel/download/xsel-0.9.6.tar.gz
- you have duplicate BRs: libICE-devel (by libSM-devel), libX11-devel (by
libXext-devel)
-mock build fails:
+ make install DESTDIR=/var/tmp/xsel-0.9.6-1.fc9-root-mockbuild
source='xsel.c' object='xsel.o' libtool=no \
        DEPDIR=.deps depmode=none /bin/sh ./depcomp \
        gcc -DHAVE_CONFIG_H -I.     -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2
-fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=gene
ric -fno-strict-aliasing -Wall -Werror -g -std=gnu99
-Wdeclaration-after-statement -Wno-unused -c xsel.c
/bin/sh: ./depcomp: No such file or directory
make: *** [xsel.o] Error 127
error: Bad exit status from /var/tmp/rpm-tmp.32486 (%install)

- please try to use parallel build make if possible (
http://fedoraproject.org/wiki/Packaging/Guidelines#head-525c7d76890cb22df33b759c65c35c82bf434d2e
)
-"Miscellaneous command line tools" is not one of the standard groups accepted
in Fedora
Comment 2 Henry Kroll 2007-12-12 00:26:29 EST
That file was old. I don't know how it got in there.

Rebuilt from svn.

Got sources from here
svn co http://svn.kfish.org/xsel/trunk/

This test spec uses GNU Autoconf. See changelog.
http://thenerdshow.com/rpm/xsel-0.9.6-1.svn20071211.fc8.src.rpm
http://thenerdshow.com/rpm/xsel.spec
Comment 3 manuel wolfshant 2007-12-12 05:20:54 EST
Nothing wrong in using a svn version if this is needed, but if doing so the
script (or at least of a command) needed to recreate the tarball should be
included in the spec. For instance something along
#use "svn co http://svn.kfish.org/xsel/trunk/" to download this branch && mv
trunk xsel-0.9.6  && tar cjf xsel-0.9.6.tar.bz2 xsel-0.9.6" to recreate the
archive.Note that this is the only existing branch, there is no additional
revision information available.
However using xsel-0.9.6 as name for the tarball (as you have done ) is a bit
confusing, since one might believe this is the stable version (which - on the
URL page - has the same name). It would be better in my opinion to name the
tarball xsel-0.9.6-svnsomething, as you have done for the src.rpm itself.
It would also be useful to explain why are you packing the development version
instead of the stable one listed on the project page, especially since the
Changelog and NEWS files are identical in the two versions. And maybe poke
upstream to update the stable version, 6 years for a devel version is long enough...
Comment 4 Patrice Dumas 2007-12-12 05:35:07 EST
How url should look like is also explained on:
http://fedoraproject.org/wiki/Packaging/SourceURL#head-615f6271efb394ab340a93a6cf030f2d08cf0d49
Comment 5 Henry Kroll 2007-12-12 15:27:49 EST
Yes, there is a reason to build from svn.  The release tarball has man in
/usr/man instead of /usr/share/man

error: Installed (but unpackaged) file(s) found:
   /usr/man/man1/xsel.1x.gz

ls /usr/man
ls: cannot access /usr/man: No such file or directory

I will re-write the spec file and change tarball name today. Thanks. Contacting
the author re. this bug report and differences in /usr/man and /usr/share/man
and maybe he can poke upstream since I don't have access.
Comment 6 Henry Kroll 2007-12-12 17:38:47 EST
Revised files are in http://thenerdshow.com/rpm/

%changelog
* Wed Dec 12 2007 Henry Kroll <nospam[AT]thenerdshow.com>
- 0.9.6-svn20071212
- Version upgrade svn due to differing man dir locations in configure script
(and missing autogen.sh). Fix duplicate BuildRequires. Parallel make.


User Comment: I find xsel to be extremely handy when used with simple scripts
that are bound to hot keys or mouse gestures.

<ctrl><alt><shift>d dictionary lookup on highlighted word(s)
<ctrl><alt><shift>s search the web for highlighted word(s)
<ctrl><alt><shift>t festival -tts (text to speech) on highlighted word(s)...

I have been using it for 2 months with no problems that I am aware of.
Comment 7 manuel wolfshant 2008-01-07 18:44:21 EST
WRT your suggested method to recreate the tarball: I see no real need to include
the .svn folder.
You need to add libtool as a BR, otherwise mock build fails.
running rpmlint over your src.rpm gives:
[wolfy@wolfy tmp]$ rpmlint xsel-0.9.6-1.svn20071212.fc8.src.rpm
xsel.src:36: E: configure-without-libdir-spec
xsel.src:37: E: configure-without-libdir-spec
xsel.src: W: non-standard-group Miscellaneous command line tools
 In this case we can probably ignore the first two (I'll check tomorrow if this
is true) but the last one should be fixed by picking a proper group.
 I'll try to do tomorrow a more thorough verification
Comment 8 Henry Kroll 2008-01-07 19:33:03 EST
Interesting. It builds on my mock without libtool but I am on x86_64 (shouldn't
make a difference) there is a new version of mock out today for me to try out
also. It doesn't seem to hurt to add libtool so I'll go ahead and add that.

I went ahead and changed the group to "User Interface/X" which is where other
useful tools are, such as xrandr. The author has said version 0.9.7 will be out
soon but until then svn should work fine. SVN updated to 20080107
Comment 9 manuel wolfshant 2008-01-08 05:40:57 EST
I am building on x86_64, too, using
 [wolfy@wolfy tmp]$ repoquery --envra mock
0:mock-0.8.19-1.fc7.x86_64

Could you please provide the links for the new src.rpm/spec ?
Comment 10 Henry Kroll 2008-01-08 21:05:30 EST
Same location. File date should reflect changes. My rpm junk bin:
http://thenerdshow.com/rpm/
Comment 11 Patrice Dumas 2008-03-18 09:02:50 EDT
Each time you do a new, please post the full url, it helps when
getting it by mail and using for example wget from the command 
line to get it.

Without looking at the content, it looks like the release is wrong.
It should be along
0.1.svn20080107

See
http://fedoraproject.org/wiki/Packaging/NamingGuidelines#head-d97a3f40b6dd9d2288206ac9bd8f1bf9b791b22a
Comment 12 Henry Kroll 2008-03-18 17:24:16 EDT
New version is out. See http://www.vergenet.net/~conrad/software/xsel/ for tar.gz

Busy with work. Will update rpm tomorrow.
Comment 14 Patrice Dumas 2008-04-12 08:29:26 EDT
The Source should be the url leading to the real file, like

Source0:
http://www.vergenet.net/~conrad/software/xsel/download/xsel-%{version}.tar.gz

Also the Url should better be like:

Url: http://www.vergenet.net/~conrad/software/xsel/
which leads to the package home page and description.

License looks like MIT (old style), looking at the web page
http://fedoraproject.org/wiki/Licensing/MIT

For packaged releases (unlike snapshots), you shouldn't have the BuildRequires
libtool, autoamke and autoconf (you can simply comment them out in case using
svn snapshots is often useful for that package).

The requires for the Xserver is certainly wrong, unless this program requires a
real X server and not the X abstraction (like the one provided by the ssh X
redirection or vnc, or a real X server). 

You should use the rpm macro
%configure 
instead of doing it yourself.

The make call that does the compilation should be done in the %build and not in
%install.

You should remove the package name from the summary, all the tools should use
the name if needed.
Comment 15 Henry Kroll 2008-04-12 21:33:22 EDT
New xsel rpm for version, 1.2.0 is available:

http://thenerdshow.com/rpm/xsel.spec
http://thenerdshow.com/rpm/xsel-1.2.0-1.fc8.src.rpm

Other stuff, for the curious:
http://thenerdshow.com/rpm/

%changelog
* Sat Apr 12 2008 Henry Kroll <nospam[AT]thenerdshow.com>
- 1.2.0
- Version upgrade. Change license to MIT. Fix URL, Requires, BuildRequires.
Change group to Applications/System re: xclip. Include keywords in the
description to make it easier to find.

I noticed another program, xclip, in the update repo that provides many of the
same features as xsel. There are some important differences, however.
Comment 16 Patrice Dumas 2008-04-19 10:13:38 EDT
Issues:

CFLAGS="$RPM_OPT_FLAGS", and  --prefix=%{_prefix} --libdir=%{_libdir} are
automatically set in %configure.

The CDEBUGFLAGS setting doesn't seems to be useful.

I suggest to break %changelog lines at about 80 columns and use - signs
to create lists:
- Version upgrade. 
- Change license to MIT Old Style. 
- Fix URL, Requires, BuildRequires. 
- Change group to Applications/System like xclip. Include keywords 
  in the description to make it easier to find.

Remarks:

The application compile flags are still present, but they don't look harmful 
to me.

rpmlint says (wrongly)
xsel.i386: W: no-version-in-last-changelog
xsel-debuginfo.i386: W: no-version-in-last-changelog

It works well.

Match upstream
75983f143ce83dc259796c6eaf85c8f5  xsel-1.2.0.tar.gz
Comment 17 Henry Kroll 2008-04-19 15:40:35 EDT
Thanks for the review. I'm not sure where the extra flags and options came from.
I think I was trying to cross-build the rpm to x86_64 or vice-versa. Anyway,
they're gone. rpmlint-0.82-2.fc8 reports nothing.

http://thenerdshow.com/rpm/xsel.spec
http://thenerdshow.com/rpm/xsel-1.2.0-2.fc8.src.rpm

%changelog
* Sat Apr 19 2008 Henry Kroll <nospam[AT]thenerdshow.com>
- 1.2.0-2
- Standardize build section, remove unnecessary CDEBUGFLAGS.
- Break up long lines, general cleanup.
Comment 18 Patrice Dumas 2008-04-19 16:43:44 EDT
* follow guidelines
* free software, license included
* match upstream
75983f143ce83dc259796c6eaf85c8f5  RPM-fc/SOURCES/xsel-1.2.0.tar.gz
* %files section right

1 suggestion:
use
%{_mandir}/man1/xsel.1x*
to catch all compressions and no compressions.

APPROVED


Now you can point a potential sponsor to that submission or you
can point me to your works such that I sponsor you (I have seen
xmms-pulse).
Comment 19 Patrice Dumas 2008-04-19 16:44:55 EDT
And Manuel, you can also comment if you like.
Comment 20 manuel wolfshant 2008-04-19 21:13:10 EDT
Thanks Patrice, but I am focusing on other reviews.
Comment 21 Patrice Dumas 2008-06-14 04:38:58 EDT
Henry, are you ready to be sponsored?
Comment 22 Mamoru TASAKA 2008-06-15 06:20:35 EDT
(In reply to comment #21)
> Henry, are you ready to be sponsored?

At least I am _not_ sponsoring Henry.
Comment 23 Jason Tibbitts 2008-07-05 13:54:56 EDT
Is someone reviewing this?  It's assigned to Patrice but fedora-review is blank
so it still shows up as needing a reviewer.
Comment 24 manuel wolfshant 2008-07-05 16:29:40 EDT
according to #18 this package has been approved, but the submitter was in need
of a sponsor
Comment 25 Jason Tibbitts 2008-07-05 16:37:35 EDT
Yes, but the person who approved it is a sponsor.
Comment 26 manuel wolfshant 2008-07-05 16:47:38 EDT
Patrice is a sponsor, but at least until comment #18 he was not satisfied enough
to sponsor Henry. Hence asking for more details.

I am setting the forgotten "under review" flag.
Comment 27 Mamoru TASAKA 2008-07-05 21:26:41 EDT
Perhaps Henry cannot work for Fedora packaging now:
https://bugzilla.redhat.com/show_bug.cgi?id=416461#c25
Comment 28 Mamoru TASAKA 2008-07-14 11:32:44 EDT
Anyone, ping?
Comment 29 Rakesh Pandit 2008-07-26 07:58:19 EDT
As no one is interested I would like to take up this package further.
Comment 30 Rakesh Pandit 2008-07-26 08:42:15 EDT

*** This bug has been marked as a duplicate of 456750 ***

Note You need to log in before you can comment on or make changes to this bug.